"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateFullname = exports.generateInitialFromName = void 0;
function generateInitialFromName(text) {
    const exp = text.split(' ');
    if (exp.length === 1) {
        return exp[0][0] + exp[0][1];
    }
    else if (exp.length > 1) {
        return exp[0][0] + exp[1][0];
    }
    else {
        return 'SK';
    }
}
exports.generateInitialFromName = generateInitialFromName;
const generateFullname = (names) => {
    let concated = [];
    if (names.firstName) {
        concated.push(names.firstName);
    }
    if (names.middleName) {
        concated.push(names.middleName);
    }
    if (names.lastName) {
        concated.push(names.lastName);
    }
    return concated.join(' ');
};
exports.generateFullname = generateFullname;
